import 'package:wolf_3d_dart/wolf_3d_data_types.dart';
import 'package:wolf_3d_dart/wolf_3d_engine.dart';

class SilentAudio implements EngineAudio {
  @override
  WolfensteinData? activeGame;

  @override
  Future<void> init() async {
    // No-op fallback backend.
  }

  @override
  void playMenuMusic() {}

  @override
  void playLevelMusic(Music music) {}

  @override
  void stopMusic() {}

  @override
  Future<void> stopAllAudio() async {}

  @override
  void playSoundEffect(SoundEffect effect) {}

  @override
  void playSoundEffectId(int sfxId) {}

  @override
  void dispose() {}

  @override
  Future<void> debugSoundTest() async {
    return Future.value(null);
  }
}
